<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Product extends CI_Controller {

	function __construct()
    {
		parent::__construct();
		$this->load->model('product_db');
    }

    public function index()
    {

    }

    public function addProduct()
    {
        print_r($_POST);

        if (empty($_POST)) 
        {
            echo "No Data, fill out the form";
        }
        else 
        {
            $product_data = array(
                        'productname' => $this->input->post('productnamenew', true),
                        'category' => intval($this->input->post('categorynew')),
                        'expiredate' => $this->input->post('expiredatenew'),
                        'numberofproduct' => intval($this->input->post('numberofproduct')),
                        'unit' => $this->input->post('unit'),
                        'createdby' => $this->input->post('userid'),
                        'storedon' => date('Y-m-d')
            );

            $new_id = $this->product_db->createProduct($product_data);
            redirect( base_url('index.php/start?productAdded'.'&ProductID='.$new_id));
        }
    }

    public function removeproduct()
    {
        $var = intval($this->input->get('productid'));

        if (is_int($var)) {
            $this->product_db->removeProductById($var);
            redirect( base_url('index.php/start?Geloescht'));
        }
    }

    public function addone()
    {
        $var = intval($this->input->get('productid'));
        
                if (is_int($var)) {
                    $this->product_db->updateNumberOfProductById($var, 1);
                    redirect( base_url('index.php/start?Angepasst'));
                }
    }

    public function updateProductById(){
        print_r($_POST);
        $product_data = array(
            'productname' => $this->input->post('productname', true),
            'category' => intval($this->input->post('category')),
            'expiredate' => $this->input->post('expiredate'),
            'numberofproduct' => intval($this->input->post('numberofproduct')),
            'unit' => $this->input->post('unit')
        );
        $res = $this->product_db->updateProductById($this->input->post('productid'), $product_data);

        if ($res == 1) {
            redirect( base_url('index.php/start?productChanged'));
        }else {
            redirect( base_url('index.php/start?Error'));
        }
    }
}